1. Instances
Tahdah API
  • Introduction
  • Webhooks
  • Unresolved schema mappings
  • TrustGroups
    • About Trust Groups
    • Endpoints
      • List Trust Groups
      • Create a Trust Group
      • Update Trust Group
      • List Trust Group Legal Entity Members
      • List Trust Group Candidate Members
      • Add Trust Group Member
      • Remove Trust Group Member
    • Member Updated
  • EventCredits
    • Add Credits to Legal Entity
    • Event Credits Updated
  • Tracker
    • About Tracker
    • Get Candidate Targets
    • Get Legal Entity Targets
  • Pathways
    • About Pathways
    • Registrations
      • About Registrations
      • Get Registrations
      • Create Registations
      • Registration Created
    • Instances
      • Introduction to Instances
      • Pathway Instances
        POST
    • Get Legal Entity Pathways
      GET
    • Get Pathway
      GET
  • DigitalBadges
    • Issue Digital Badge
    • Get Badge Templates
  • LegalEntities
    • People/Staff
      • Legal Entity People List
      • Connect a Person to a Legal Entity
      • Person Added
      • Roles Updated
    • Legal Entity Details
    • Create Legal Entity
    • Legal Entity Created
  • Candidates
    • EndPoints
      • Create Candidate
      • Update a Candidate
      • Delete Candidate
      • Add/Remove tags to a candidate
    • Webhooks
  • Catalogues
    • Catalogue Entry Published
    • Catalogue Entry Un-Published
  • Finance
    • Ledger Entry Created
  • Schemas
    • Inbound
    • Events
      • EventTemplateCreditRequest
      • EventTemplateCredit
    • Catalogue
      • CatalogueEntry
    • Finance
      • Currency
      • InvoiceItem
      • PaymentItem
      • LedgerEntry
      • InvoiceAddress
      • Entity
      • pricingOption
    • LearningExperiences
      • LearningExperienceRef
      • PathwayTypeRef
    • Candidate
      • CandidateRef
    • LegalEntities
      • RoleRef
      • LegalEntity
      • legalEntityIdentifier
    • TrustGroupMember
    • TrustGroup
    • temp
    • Candidate
    • HATEOAS Link
    • mergeField
  1. Instances

Pathway Instances

Developing
New Genergy Live
https://api.tahdah.me
New Genergy Live
https://api.tahdah.me
POST
/pathways/instances

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/jsonRequired

Example
{
    "filters": [
        {
            "fieldName": "string",
            "textSearch": {
                "value": "string",
                "matchingType": 1
            },
            "dateSearch": {
                "from": "string",
                "to": "string"
            },
            "boundingBoxSearch": {
                "swLat": 0,
                "swLng": 0,
                "neLat": 0,
                "neLng": 0
            },
            "radiusSearch": {
                "centrelat": 0,
                "centreLng": 0,
                "radius": 0
            },
            "boolSearch": {
                "value": true
            },
            "multiValueSearch": {
                "values": [
                    "string"
                ],
                "matchingRules": 1
            }
        }
    ],
    "LearningExperienceTypeId": [
        0
    ],
    "LearningExperienceCodes": [
        "string"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.tahdah.me/pathways/instances' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "filters": [
        {
            "fieldName": "string",
            "textSearch": {
                "value": "string",
                "matchingType": 1
            },
            "dateSearch": {
                "from": "string",
                "to": "string"
            },
            "boundingBoxSearch": {
                "swLat": 0,
                "swLng": 0,
                "neLat": 0,
                "neLng": 0
            },
            "radiusSearch": {
                "centrelat": 0,
                "centreLng": 0,
                "radius": 0
            },
            "boolSearch": {
                "value": true
            },
            "multiValueSearch": {
                "values": [
                    "string"
                ],
                "matchingRules": 1
            }
        }
    ],
    "LearningExperienceTypeId": [
        0
    ],
    "LearningExperienceCodes": [
        "string"
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "instanceId": 0,
    "instanceName": "string",
    "learningExperienceId": 0,
    "learningExperienceName": "string",
    "learningExperienceTypeId": "string",
    "learningExperienceTypeName": "string",
    "maxBookings": 0,
    "currentBookings": 0,
    "availablePlaces": 0,
    "acceptsBookings": true,
    "metaData": [
        {
            "fieldName": "string",
            "fieldType": "string",
            "value": "string"
        }
    ]
}
Modified at 2026-06-17 11:14:54
Previous
Introduction to Instances
Next
Get Legal Entity Pathways
Built with